#include "inc/hw_types.h"
#include "inc/hw_memmap.h"
#include "driverlib/gpio.h"
#include "driverlib/sysctl.h"

// LED_/p}N
#define ON 0x00
#define OFF 0xFF

// LED̃C~l[V_
void main(void)
{
	// ҂ԗp
	volatile unsigned long Loop;
	// JԂϐ
	int i;
	// LEDC~l[Vp
	char State[14] = {254, 253, 251, 247, 239, 223, 191, 127, 191, 223, 239, 247, 251, 253};
	
	// NbN̐ݒ
	SysCtlClockSet(SYSCTL_SYSDIV_1 | SYSCTL_USE_PLL | SYSCTL_OSC_MAIN |
                   SYSCTL_XTAL_6MHZ);
    
    // gp|[g̐錾@LEDpɃ|[gCƃ|[gDgp
    SysCtlPeripheralEnable(SYSCTL_PERIPH_GPIOC);
    SysCtlPeripheralEnable(SYSCTL_PERIPH_GPIOD);
    
    // PD0`PD6,PC7ꂼo̓^Cvɐݒ
    GPIOPinTypeGPIOOutput(GPIO_PORTD_BASE, GPIO_PIN_0);
    GPIOPinTypeGPIOOutput(GPIO_PORTD_BASE, GPIO_PIN_1);
    GPIOPinTypeGPIOOutput(GPIO_PORTD_BASE, GPIO_PIN_2);
    GPIOPinTypeGPIOOutput(GPIO_PORTD_BASE, GPIO_PIN_3);
    GPIOPinTypeGPIOOutput(GPIO_PORTD_BASE, GPIO_PIN_4);
    GPIOPinTypeGPIOOutput(GPIO_PORTD_BASE, GPIO_PIN_5);
    GPIOPinTypeGPIOOutput(GPIO_PORTD_BASE, GPIO_PIN_6);
    GPIOPinTypeGPIOOutput(GPIO_PORTC_BASE, GPIO_PIN_7);
    
    // SLEDOFF
    GPIOPinWrite(GPIO_PORTD_BASE, GPIO_PIN_0, OFF);
    GPIOPinWrite(GPIO_PORTD_BASE, GPIO_PIN_1, OFF);
    GPIOPinWrite(GPIO_PORTD_BASE, GPIO_PIN_2, OFF);
    GPIOPinWrite(GPIO_PORTD_BASE, GPIO_PIN_3, OFF);
    GPIOPinWrite(GPIO_PORTD_BASE, GPIO_PIN_4, OFF);
    GPIOPinWrite(GPIO_PORTD_BASE, GPIO_PIN_5, OFF);
    GPIOPinWrite(GPIO_PORTD_BASE, GPIO_PIN_6, OFF);
    GPIOPinWrite(GPIO_PORTC_BASE, GPIO_PIN_7, OFF);
    
    // [v
    while(1)
    {
    	for (i = 0; i < 14; i++) 
    	{
    		// LED֓_p^[o
    		GPIOPinWrite(GPIO_PORTD_BASE, GPIO_PIN_0, State[i]);
    		GPIOPinWrite(GPIO_PORTD_BASE, GPIO_PIN_1, State[i]);
    		GPIOPinWrite(GPIO_PORTD_BASE, GPIO_PIN_2, State[i]);
    		GPIOPinWrite(GPIO_PORTD_BASE, GPIO_PIN_3, State[i]);
    		GPIOPinWrite(GPIO_PORTD_BASE, GPIO_PIN_4, State[i]);
    		GPIOPinWrite(GPIO_PORTD_BASE, GPIO_PIN_5, State[i]);
    		GPIOPinWrite(GPIO_PORTD_BASE, GPIO_PIN_6, State[i]);
    		GPIOPinWrite(GPIO_PORTC_BASE, GPIO_PIN_7, State[i]);
    		// ԑ҂
    		for(Loop = 0; Loop < 50000; Loop++);
    	}
    }
}
